Skip to main content
`Ctrl`+`K`

# DMFieldCreateFEGeom

Compute and create the geometric factors of a coordinate field

## Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldCreateFEGeom(DMField field, IS pointIS, PetscQuadrature quad, PetscBool faceData, PetscFEGeom **geom)

Not Collective

## Input Parameters

- field - the `DMField` object

- pointIS - the index set of points over which we wish to integrate the field

- quad - the quadrature points at which to evaluate the geometric factors

- faceData - whether additional data for facets (the normal vectors and adjacent cells) should be calculated

## Output Parameter

- geom - the geometric factors

## See Also

`DMField`, `PetscQuadrature`, `IS`, `PetscFEGeom`, `DMFieldEvaluateFE()`, `DMFieldCreateDefaulteQuadrature()`, `DMFieldGetDegree()`

## Level

developer

## Location

src/dm/field/interface/dmfield.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages